Bug 1167471 - [RFE] Provide Tomcat support for TLS v1.1 and TLS v1.2 (Tomcatjss)
Summary: [RFE] Provide Tomcat support for TLS v1.1 and TLS v1.2 (Tomcatjss)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcatjss
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Christina Fu
QA Contact: Asha Akkiangady
Russell Dickenson
URL:
Whiteboard:
Depends On: 816396 871171 1167470
Blocks: 1171848 1175494
TreeView+ depends on / blocked
 
Reported: 2014-11-24 21:05 UTC by Nathan Kinder
Modified: 2015-07-22 06:28 UTC (History)
8 users (show)

Fixed In Version: tomcatjss-2.1.0-4.el6
Doc Type: Enhancement
Doc Text:
tomcatjss supports TLS versions 1.1 and 1.2 Tomcat has been updated to support the Transport Layer Security cryptographic protocol version 1.1 (TLSv1.1) and Transport Layer Security cryptographic protocol version 1.2 (TLSv1.2) using Java Security Services.
Clone Of: 871171
Environment:
Last Closed: 2015-07-22 06:28:53 UTC


Attachments (Terms of Use)
Patch to fix TLS issues (9.65 KB, patch)
2015-02-13 18:19 UTC, Matthew Harmsen
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1316 normal SHIPPED_LIVE tomcatjss bug fix and enhancement update 2015-07-20 17:53:24 UTC

Comment 1 Matthew Harmsen 2015-02-13 18:19:21 UTC
Created attachment 991464 [details]
Patch to fix TLS issues

Comment 3 Roshni 2015-04-15 16:57:00 UTC
[root@ipaqa64vmh tmp]# rpm -qi tomcatjss
Name        : tomcatjss                    Relocations: (not relocatable)
Version     : 2.1.0                             Vendor: Red Hat, Inc.
Release     : 4.el6                         Build Date: Sat 14 Feb 2015 10:58:41 AM EST
Install Date: Thu 09 Apr 2015 12:46:30 PM EDT      Build Host: x86-026.build.eng.bos.redhat.com
Group       : System Environment/Libraries   Source RPM: tomcatjss-2.1.0-4.el6.src.rpm
Size        : 46787                            License: LGPLv2+
Signature   : RSA/8, Wed 04 Mar 2015 07:34:24 AM EST, Key ID 938a80caf21541eb
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://pki.fedoraproject.org/
Summary     : JSSE implementation using JSS for Tomcat

Verification steps as described in https://bugzilla.redhat.com/show_bug.cgi?id=871171#c41. The setupssl2.sh script needed a modification, remove the following lines:

replace: sslVersionMin
sslVersionMin: TLS1.1
-
replace: sslVersionMax
sslVersionMax: TLS1.3

"<nhosoi> rpattath, on rhel-6.7, 389-ds-base enables TLS1.0 and newer by default."

Additional tests were performed as follows:

1. curl -E "CA_agent:276347752307" --basic -d "serialNumber=0x06" -k "https://<ca-host>:9443/ca/agent/ca/displayBySerial"

9443 is the secure port and the information about the cert was displayed.

Executed the same curl request with ssltap port 1924 when ssltap was running (ssltap -sxl <cs host>:<ca https port>)

2. Tested higher range of TLS
3. Also executed HttpClient -> CA as explained in https://bugzilla.redhat.com/show_bug.cgi?id=1040640#c5

Comment 5 errata-xmlrpc 2015-07-22 06:28:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1316.html


Note You need to log in before you can comment on or make changes to this bug.